Unseal Space
REST APIRegistered domains

Confirm and purchase one quoted domain

POST
/domain/purchases

Consumes the server-issued Confirmation Challenge once, then reserves Credit and submits the exact domain to the registrar. Matching idempotent retries return the original result.

x-api-key<token>

Workspace-owned API key with per-resource permissions.

In: header

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

nonce*string
Formatuuid
idempotencyKey*string
Length1 <= length <= 128
autoRenew?boolean
privacyMode?string

Value in

  • "redaction"
  • "off"
contact?

Response Body

application/json

application/json

curl -X POST "https://example.com/domain/purchases" \  -H "Content-Type: application/json" \  -d '{    "nonce": "f25f24f2-d581-4594-9824-123d5821fb65",    "idempotencyKey": "string"  }'
{  "domainName": "string",  "status": "in_progress"}